package edu.emory.mathcs;

public class Team
{
	private String name;
	private int wonSets;
	private int scores;
	
	public Team(String name) {
		this.name = name;
		this.wonSets = 0;
		this.scores = 0;
	}

	public String getName() {
		return name;
	}

	public int getWonSets()	{
		return wonSets;
	}

	public int getPoints() {
		return scores;
	}

	public void scorePoint() {
		this.scores++;
	}
	
	public void winSet() {
		this.wonSets++;
		this.scores = 0;
	}
	
	public void loseSet() {
		this.scores = 0;
	}	
}
