package edu.emory.mathcs;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Set;
import java.util.TreeSet;

public class MainPowerSet
{

	public static void main(String[] args)
	{
		Set<Integer> indices = new TreeSet<Integer>();
		int from = Integer.parseInt(args[0]);
		int to = Integer.parseInt(args[1]);
		for (int i = 0; i < to; i++)
			indices.add(i);
		
		for (int i = from; i < to; i++)
			
		try
		{
			System.out.print("" + i + " from [" + args[0] + "," + args[1] + "]...");
			BufferedWriter fw = new BufferedWriter(new FileWriter(i + "_from_" + args[1] + ".csv"));
			
			if (i == 0)
				fw.write("0,\n");
			
			Set<Set<Integer>> powerSets = Tools.getPowerSet(indices, i);
		
			for (Set<Integer> powerSet : powerSets)
			{
				for (Integer number : powerSet)
					fw.write(number + ",");
				fw.write("\n");
			}
			
			fw.close();
			System.out.println("done");
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}

	}

}
