package edu.emory.mathcs;

public class QueryRange {
	
	private int attribute;
	private int min;
	private int max;
	
	public QueryRange(int attr, int min, int max) {
		this.attribute = attr;
		this.min = min;
		this.max = max;
	}
	
	public int getAttribute() {
		return attribute;
	}
	
	public int getMin() {
		return min;
	}
	
	public int getMax() {
		return max;
	}
	
	public boolean isInTheQueryRange(Tuple t)
	{
		int value = t.getData(this.getAttribute());
		return (value >= this.getMin() && value <= this.getMax());
	}
}
